Author Topic: Cannot install Orbiter on N800 Chinook  (Read 1696 times)

bulek

  • Administrator
  • wants to work for LinuxMCE
  • *****
  • Posts: 884
  • Living with LMCE
    • View Profile
Cannot install Orbiter on N800 Chinook
« on: May 07, 2009, 04:51:51 pm »
Hi,

have problems installing n800 Orbiter for Chinook from http://diapub.com/~michael/.

First problem appeared on adding repositories :
 I corrected them manually from "repostory" to "repository"

Now it seems fine, but another error still appears :
"Unable to download lmce-orbiter_installer. Application package not found"....

Can anyone please advice, what is wrong ?

Thanks in advance,

regards,

Bulek.
Thanks in advance,

regards,

Bulek.

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4360
  • Smart Home Consulting
    • View Profile
    • Dianemo - at home with technology
Re: Cannot install Orbiter on N800 Chinook
« Reply #1 on: May 07, 2009, 06:12:39 pm »
Hi,

have problems installing n800 Orbiter for Chinook from http://diapub.com/~michael/.

First problem appeared on adding repositories :
 I corrected them manually from "repostory" to "repository"

Now it seems fine, but another error still appears :
"Unable to download lmce-orbiter_installer. Application package not found"....

Can anyone please advice, what is wrong ?

Thanks in advance,

regards,

Bulek.


Contact nite_man here in the Forum's as he is the maintainer/developer of the Nokia Orbiter hosted on our server.

All the best

Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom

Read My Blog; http://ellipticalcurve.com

Contact me for Smart Home consulting advice here;
@herron on Twitter, totallymaxed+consulting@gmail.com via email or PM me here.

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

hari

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2420
    • View Profile
    • ago control
Re: Cannot install Orbiter on N800 Chinook
« Reply #2 on: May 07, 2009, 06:36:21 pm »
I've installed the Orbiter from the diapub.com link a few days ago, worked out of the box with the given link (no repos needed) and the latest n800 firmware.

br, Hari
rock your home - http://www.agocontrol.com home automation

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4360
  • Smart Home Consulting
    • View Profile
    • Dianemo - at home with technology
Re: Cannot install Orbiter on N800 Chinook
« Reply #3 on: May 07, 2009, 07:01:32 pm »
I've installed the Orbiter from the diapub.com link a few days ago, worked out of the box with the given link (no repos needed) and the latest n800 firmware.

br, Hari

Yeah same here ;-)

Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom

Read My Blog; http://ellipticalcurve.com

Contact me for Smart Home consulting advice here;
@herron on Twitter, totallymaxed+consulting@gmail.com via email or PM me here.

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2923
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Cannot install Orbiter on N800 Chinook
« Reply #4 on: May 07, 2009, 07:31:46 pm »
It seems bulek want to install it for Chinook, not for the latest firmware ...

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5495
  • DOES work for LinuxMCE.
    • View Profile
Re: Cannot install Orbiter on N800 Chinook
« Reply #5 on: May 07, 2009, 09:15:47 pm »
UPGRADE, DAMMIT! :P

-Thom

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Cannot install Orbiter on N800 Chinook
« Reply #6 on: May 08, 2009, 11:42:04 am »
Hi Bulek,

The reason why you cannot install the Orbiter can be inactive Red Pill mode. Try to activate it and install again. If the installation will be failed again then activate root access to your device and try to install Orbiter from the command line using apt-get:

Code: [Select]
sudo gainroot
apt-get install  lmce-orbiter-installer

Post output here.

Another option can be upgrade your device to the latest Diable. As advantage you'll have possibility upgrade later without re-flashing your device.
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

nswint

  • Regular Poster
  • **
  • Posts: 39
    • View Profile
Re: Cannot install Orbiter on N800 Chinook
« Reply #7 on: June 05, 2009, 05:04:10 am »
nite_man, do you know if the 0710 Orbiter on the latest Diablo will work with the 0810 beta?  I have all orbiter installed on the 5.2008.43-7 update but it never connects.


Which build are you using your n800 with and what version are you running?

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Cannot install Orbiter on N800 Chinook
« Reply #8 on: June 05, 2009, 08:49:03 am »
Good question :) I built the Orbiter for the latest 0810 a few days ago. I testes it with VMWare installation LinuxMCE only but it seems it works fine.

You can download the package for Maemo Orbiter 0810 here and binary tarball here. I run the tarball not the package. To do that do following:

* copy archive to the device;
* untar it;
* chdir to the Orbiter's directory;
* run
Code: [Select]
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:./lib* then run the
Code: [Select]
Orbiter:./bin/Orbiter -r your_core_ip -d orbiter_ID
I'll play with the Maemo Orbiter 0810 tomorrow with real 0810 alpha 2 installation.
« Last Edit: June 05, 2009, 08:51:33 am by nite_man »
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

cirion

  • Guru
  • ****
  • Posts: 353
    • View Profile
Re: Cannot install Orbiter on N800 Chinook
« Reply #9 on: June 05, 2009, 09:38:00 am »
Not sure what OS I have installed on my N810, but its a 07.10 version of the Orbiter software. It works fine on both my 07.10 LMCE install and the 08.10 Alpha (I just have to change to correct orbiter number if I switch LMCE version).

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Cannot install Orbiter on N800 Chinook
« Reply #10 on: June 05, 2009, 11:09:42 am »
Not sure what OS I have installed on my N810, but its a 07.10 version of the Orbiter software. It works fine on both my 07.10 LinuxMCE install and the 08.10 Alpha (I just have to change to correct orbiter number if I switch LinuxMCE version).

That's nice. In any case for each new LMCE version the new Maemo Orbiter will be built :)
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2923
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Cannot install Orbiter on N800 Chinook
« Reply #11 on: June 05, 2009, 11:20:07 am »
As long as we do not have new screens, the old Orbiter will still work with the new LinuxMCE releases

nite_man

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1019
  • Want to work with LinuxMCE
    • View Profile
    • Smart Home Blog
Re: Cannot install Orbiter on N800 Chinook
« Reply #12 on: June 05, 2009, 12:58:13 pm »
As long as we do not have new screens, the old Orbiter will still work with the new LinuxMCE releases

Sure but it can be some changes in the related libs such DCE. For example, Plutohome 2.0.0.44 was incompatible with 2.0.0.45 :)

In any case, the process of building of Maemo Orbiter can be automated now. Last time I used script make_package.sh to build it. It should be modified a bit to retrieving correct version number for LMCE and Maemo OS. But generally it works fine :)
« Last Edit: June 05, 2009, 01:00:06 pm by nite_man »
Michael Stepanov,
My setup: http://wiki.linuxmce.org/index.php/User:Nite_man#New_setup
Russian LinuxMCE community: http://linuxmce.ru

posde

  • Administrator
  • LinuxMCE God
  • *****
  • Posts: 2923
  • Wastes Life On LinuxMCE Since 2007
    • View Profile
    • My Home
Re: Cannot install Orbiter on N800 Chinook
« Reply #13 on: June 05, 2009, 02:28:51 pm »
As a side note: After I resetted my device and reinstalled the latest diablo version of maemo, I needed to get the Orbiter. All I did was, go to the wiki, search for nokia n800. On the nokia n800, selected the link to the dianemo repo http://diapub.com/~michael/, clicked on the Diablo install file, and followed the onscreen prompts.

After the start of the Orbiter, it connected to my 810 install and things worked fine.

nswint

  • Regular Poster
  • **
  • Posts: 39
    • View Profile
Re: Cannot install Orbiter on N800 Chinook
« Reply #14 on: June 05, 2009, 02:33:55 pm »
Thanks.  I'll reflash and try again